## linphone-srtp-1.4.5.tar.gz

=== CMakeLists.txt ===
############################################################################
# CMakeLists.txt
# Copyright (C) 2014  Belledonne Communications, Grenoble France
#
############################################################################
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#
############################################################################

cmake_minimum_required(VERSION 2.8)
project(SRTP C)


option(ENABLE_STATIC "Build static library (default is shared library)." NO)
option(ENABLE_KERNEL_LINUX "Build library to run in Linux kernel context." NO)
option(ENABLE_GENERIC_AESICM "Compile in changes for ISMAcryp." NO)
option(ENABLE_SYSLOG "Use syslog for error reporting." NO)
option(ENABLE_STDOUT "Use stdout for error reporting." YES)
option(ENABLE_CONSOLE "Use /dev/console for error reporting." NO)
option(ENABLE_GDOI "Enable GDOI key management." NO)
option(ENABLE_TEST_PROGRAMS "Enable compilation of test programs." NO)


if("${CMAKE_SYSTEM_PROCESSOR}" MATCHES "i*86|x86_64|AMD64")
	set(CPU_CISC 1)
	set(HAVE_X86 1)
else()
	include(TestBigEndian)
	test_big_endian(WORDS_BIGENDIAN)
	if(${WORDS_BIGENDIAN})
		set(CPU_RISC 1)
	else()
		set(CPU_CISC 1)
	endif()
endif()

if("${CMAKE_BUILD_TYPE}" STREQUAL "Debug")
	set(ENABLE_DEBUGGING 1)
endif()

if(ENABLE_KERNEL_LINUX)
	set(RNG_SOURCE rand_linux_kernel.c)
	set(SRTP_KERNEL 1)
	set(SRTP_KERNEL_LINUX 1)
else()
	set(RNG_SOURCE rand_source.c)
endif()

if(UNIX)
	if(NOT CMAKE_CROSS_COMPILING)
		if(EXISTS "/dev/urandom")
			set(DEV_URANDOM "/dev/urandom")
		else()
			if(EXISTS "/dev/random")
				set(DEV_URANDOM "/dev/random")
			endif()
		endif()
	endif()
endif()

set(GENERIC_AESICM ${ENABLE_GENERIC_AESICM})
set(USE_SYSLOG ${ENABLE_SYSLOG})
set(ERR_REPORTING_STDOUT ${ENABLE_STDOUT})
set(USE_ERR_REPORTING_FILE ${ENABLE_CONSOLE})
if(ENABLE_CONSOLE)
	set(ERR_REPORTING_FILE "/dev/console")
endif()
set(SRTP_GDOI ${ENABLE_GDOI})
if(ENABLE_GDOI)
	set(GDOI_SOURCE gdoi/srtp+gdoi.c)
endif()


include(CheckCSourceCompiles)
include(CheckIncludeFile)
include(CheckLibraryExists)
include(CheckFunctionExists)
include(CheckTypeSize)
if("${CMAKE_VERSION}" VERSION_GREATER "2.8.5")
	include(CMakePushCheckState)
endif()
if(MSVC)
	list(APPEND CMAKE_REQUIRED_INCLUDES ${CMAKE_PREFIX_PATH}/include/MSVC)
endif()

check_include_file(stdlib.h HAVE_STDLIB_H)
check_include_file(unistd.h HAVE_UNISTD_H)
check_include_file(byteswap.h HAVE_BYTESWAP_H)
check_include_file(stdint.h HAVE_STDINT_H)
check_include_file(sys/uio.h HAVE_SYS_UIO_H)
check_include_file(inttypes.h HAVE_INTTYPES_H)
check_include_file(sys/types.h HAVE_SYS_TYPES_H)
check_include_file(machine/types.h HAVE_MACHINE_TYPES_H)
check_include_file(sys/int_types.h HAVE_SYS_INT_TYPES_H)
check_include_file(sys/socket.h HAVE_SYS_SOCKET_H)
check_include_file(netinet/in.h HAVE_NETINET_IN_H)
check_include_file(arpa/inet.h HAVE_ARPA_INET_H)
check_include_file(windows.h HAVE_WINDOWS_H)
if(HAVE_WINDOWS_H)
	check_include_file(winsock2.h HAVE_WINSOCK2_H)
	if(HAVE_WINSOCK2_H)
		list(APPEND LIBS ws2_32)
	endif()
endif()
check_include_file(syslog.h HAVE_SYSLOG_H)
check_include_file(memory.h HAVE_MEMORY_H)
check_include_file(strings.h HAVE_STRINGS_H)
check_include_file(string.h HAVE_STRING_H)
check_include_file(sys/stat.h HAVE_SYS_STAT_H)

check_function_exists("socket" HAVE_SOCKET)
check_function_exists("inet_aton" HAVE_INET_ATON)
check_function_exists("usleep" HAVE_USLEEP)
check_function_exists("sigaction" HAVE_SIGACTION)

if(NOT HAVE_SOCKET)
	check_library_exists("socket" "socket" "" HAVE_LIBSOCKET)
	if("${CMAKE_VERSION}" VERSION_GREATER "2.8.5")
		cmake_push_check_state(RESET)
	else()
		set(SAVE_CMAKE_REQUIRED_LIBRARIES ${CMAKE_REQUIRED_LIBRARIES})
	endif()
	list(APPEND CMAKE_REQUIRED_LIBRARIES wsock32 ws2_32)
	check_c_source_compiles("#include <winsock2.h>
int main(int argc, char *argv[]) {
socket(0, 0, 0);
return 0;
}"
	HAVE_LIBWSOCK32)
	if("${CMAKE_VERSION}" VERSION_GREATER "2.8.5")
		cmake_pop_check_state()
	else()
		set(CMAKE_REQUIRED_LIBRARIES ${SAVE_CMAKE_REQUIRED_LIBRARIES})
	endif()
endif()

set(TYPES_CHECKED int8_t uint8_t int16_t uint16_t int32_t uint32_t uint64_t)
set(CMAKE_EXTRA_INCLUDE_FILES stdint.h)
foreach(TYPE ${TYPES_CHECKED})
	string(TOUPPER ${TYPE} TYPE_SIZE_VAR)
	check_type_size(${TYPE} ${TYPE_SIZE_VAR})
endforeach()
check_type_size("unsigned long" UNSIGNED_LONG)
check_type_size("unsigned long long" UNSIGNED_LONG_LONG)
set(CMAKE_EXTRA_INCLUDE_FILES)
set(SIZEOF_UNSIGNED_LONG ${UNSIGNED_LONG})
set(SIZEOF_UNSIGNED_LONG_LONG ${UNSIGNED_LONG_LONG})

foreach(KEYWORD "inline" "__inline__" "__inline")
	if(NOT DEFINED C_INLINE)
		try_compile(C_HAS_${KEYWORD} "${CMAKE_CURRENT_BINARY_DIR}"
			"${CMAKE_CURRENT_SOURCE_DIR}/test_inline.c"
			COMPILE_DEFINITIONS "-Dinline=${KEYWORD}")
		if(C_HAS_${KEYWORD})
			set(C_INLINE TRUE)
			if(NOT "${KEYWORD}" STREQUAL "inline")
				set(inline ${KEYWORD})
			endif()
		endif()
	endif()
endforeach()


configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)


include_directories(
	include
	crypto/include
	${CMAKE_CURRENT_BINARY_DIR}
)
if(MSVC)
	include_directories(${CMAKE_PREFIX_PATH}/include/MSVC)
endif()

add_subdirectory(include)
add_subdirectory(crypto/include)


if(MSVC)
	add_definitions("/W3")
else()
	add_definitions("-Wall -fexpensive-optimizations -funroll-loops -fPIC")
endif()

source_group(ciphers FILES
	crypto/cipher/cipher.c
	crypto/cipher/null_cipher.c
	crypto/cipher/aes.c
	crypto/cipher/aes_icm.c
	crypto/cipher/aes_cbc.c
)

source_group(hashes FILES
	crypto/hash/null_auth.c
	crypto/hash/sha1.c
	crypto/hash/hmac.c
	crypto/hash/auth.c
	# crypto/hash/tmmhv2.c
)

source_group(math FILES
	crypto/math/datatypes.c
	crypto/math/stat.c
)

source_group(kernel FILES
	crypto/kernel/crypto_kernel.c
	crypto/kernel/alloc.c
	crypto/kernel/key.c
	crypto/rng/${RNG_SOURCE}
	crypto/rng/prng.c
	crypto/rng/ctr_prng.c
	crypto/kernel/err.c
	#crypto/ust/ust.c
)

source_group(replay FILES
	crypto/replay/rdb.c
	crypto/replay/rdbx.c
	crypto/replay/ut_sim.c
)

source_group(srtpobj FILES
	srtp/srtp.c
	srtp/ekt.c
)

set(SRTP_SOURCE_FILES
	crypto/cipher/cipher.c
	crypto/cipher/null_cipher.c
	crypto/cipher/aes.c
	crypto/cipher/aes_icm.c
	crypto/cipher/aes_cbc.c
	crypto/hash/null_auth.c
	crypto/hash/sha1.c
	crypto/hash/hmac.c
	crypto/hash/auth.c
	# crypto/hash/tmmhv2.c
	crypto/math/datatypes.c
	crypto/math/stat.c
	crypto/kernel/crypto_kernel.c
	crypto/kernel/alloc.c
	crypto/kernel/key.c
	crypto/rng/${RNG_SOURCE}
	crypto/rng/prng.c
	crypto/rng/ctr_prng.c
	crypto/kernel/err.c
	#crypto/ust/ust.c
	crypto/replay/rdb.c
	crypto/replay/rdbx.c
	crypto/replay/ut_sim.c
	srtp/srtp.c
	srtp/ekt.c
	${GDOI_SOURCE}
	${CMAKE_CURRENT_BINARY_DIR}/config.h
)
if(WIN32)
	list(APPEND SRTP_SOURCE_FILES srtp.def)
endif()
set_source_files_properties(${CMAKE_CURRENT_BINARY_DIR}/config.h PROPERTIES GENERATED ON)

if(ENABLE_STATIC)
	add_library(srtp STATIC ${SRTP_SOURCE_FILES})
	target_link_libraries(srtp ${LIBS})
else()
	add_library(srtp SHARED ${SRTP_SOURCE_FILES})
	set_target_properties(srtp PROPERTIES VERSION 3.4 SOVERSION 1)
	target_link_libraries(srtp ${LIBS})
	if(MSVC)
		if(CMAKE_BUILD_TYPE STREQUAL "Debug")
			install(FILES ${CMAKE_CURRENT_BINARY_DIR}/Debug/srtp.pdb
				DESTINATION bin
				PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE
			)
		endif()
	endif()
endif()
install(TARGETS srtp
	RUNTIME DESTINATION bin
	LIBRARY DESTINATION lib
	ARCHIVE DESTINATION lib
	PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE
)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/config.h
	DESTINATION include/srtp
	PERMISSIONS OWNER_READ OWNER_WRITE GROUP_READ WORLD_READ
)


install(FILES FindSRTP.cmake
	DESTINATION share/cmake/Modules
	PERMISSIONS OWNER_READ OWNER_WRITE GROUP_READ WORLD_READ
)


if(ENABLE_TEST_PROGRAMS)
	add_executable(srtp_driver
		test/srtp_driver.c
		test/getopt_s.c
	)
	target_link_libraries(srtp_driver srtp)

	add_executable(replay_driver test/replay_driver.c)
	target_link_libraries(replay_driver srtp)

	add_executable(roc_driver test/roc_driver.c)
	target_link_libraries(roc_driver srtp)

	add_executable(rdbx_driver
		test/rdbx_driver.c
		test/getopt_s.c
	)
	target_link_libraries(rdbx_driver srtp)

	add_executable(rtpw
		test/rtpw.c
		test/rtp.c
		test/getopt_s.c
	)
	target_link_libraries(rtpw srtp)

	add_executable(dtls_srtp_driver
		test/dtls_srtp_driver.c
		test/getopt_s.c
	)
	target_link_libraries(dtls_srtp_driver srtp)

	add_executable(aes_calc crypto/test/aes_calc.c)
	target_link_libraries(aes_calc srtp)

	add_executable(cipher_driver crypto/test/cipher_driver.c)
	target_link_libraries(cipher_driver srtp)

	add_executable(datatypes_driver crypto/test/datatypes_driver.c)
	target_link_libraries(datatypes_driver srtp)

	add_executable(kernel_driver crypto/test/kernel_driver.c)
	target_link_libraries(kernel_driver srtp)

	add_executable(rand_gen crypto/test/rand_gen.c)
	target_link_libraries(rand_gen srtp)

	add_executable(sha1_driver crypto/test/sha1_driver.c)
	target_link_libraries(sha1_driver srtp)

	add_executable(stat_driver crypto/test/stat_driver.c)
	target_link_libraries(stat_driver srtp)
endif()

=== doc/Makefile ===
# Makefile for libSRTP documentation
#
# David A. McGrew
# Cisco Systems, Inc.
#
# This makefile does not use the autoconf system; we don't really need
# it.  We just run doxygen then latex.  If you don't have either of
# these, then there is no way that you can make your own
# documentation.  Of course, you can just go online at pick up the
# documentation from http://srtp.sourceforge.net.

srcdir = .
top_srcdir = ..
top_builddir = ..


# Determine the version of the library

version = $(shell cat $(top_srcdir)/VERSION)


.PHONY: libsrtpdoc cryptodoc clean
libsrtpdoc: 
	@if test ! -e Doxyfile; then \
		echo "*** Sorry, can't build doc outside source dir"; exit 1; \
	fi
	sed 's/LIBSRTPVERSION/$(version)/' header.template > header.tex
	doxygen
	sed 's/\subsection/\section/' latex/index.tex > latex/index.tmp
	mv latex/index.tmp latex/index.tex
	cd latex; make
	cp latex/refman.pdf libsrtp.pdf


cryptodoc: clean
	doxygen crypto.dox
	cd latex; make
	cp latex/refman.pdf crypto.pdf

clean:
	rm -rf latex/ header.tex
	for a in * ; do			                \
              if [ -f "$$a~" ] ; then rm -f $$a~; fi;	\
        done;

=== crypto/include/CMakeLists.txt ===
############################################################################
# CMakeLists.txt
# Copyright (C) 2014  Belledonne Communications, Grenoble France
#
############################################################################
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#
############################################################################

file(GLOB HEADER_FILES "*.h")

install(FILES ${HEADER_FILES}
	DESTINATION include/srtp
	PERMISSIONS OWNER_READ OWNER_WRITE GROUP_READ WORLD_READ
)

=== debian/changelog ===
srtp (1.4.4~dfsg-6) unstable; urgency=low

  * Add patch 1008 from Gentoo to hack build routines into compiling
    shared library.
  * Refresh patches.
  * Add new binary package libsrtp0. Install library-related files and
    resolve dependencies using d-shlibs. Build-depend on d-shlibs.
  * Drop local CDBS snippets (included in main cdbs package now).
  * Tighten build-dependency on cdbs, due to above.
  * Adjust a year in copyright file.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 29 Mar 2010 12:00:01 +0200

srtp (1.4.4~dfsg-5) unstable; urgency=low

  * [not oficially released]

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 19 Mar 2010 01:50:22 +0100

srtp (1.4.4~dfsg-4) unstable; urgency=low

  * Maintain package alone again (VOIP team clearly don't care: recently
    dropped the package from Debian with only few days notice).
  * Add README.source.  Drop custom hints about CDBS.
  * Update local CDBS snippets:
    + Consistently use underscore (not dash) in variables.
    + Bump copyright years.
    + package-relations.mk:
      - Merge mixture of versioned and unversioned dependencies
      - Use unversioned dependencies when satisfied in oldstable
      - Improve whitespace cleanup
      - Rewrite and silence applying dependencies
      - Handle cdbs 0.4.53 dependency (needed when using debhelper v7)
    + upstream-tarball.mk:
      - Implement fail-source-not-repackaged rule
      - Depend unversioned on cdbs (the needed 0.4.39 is in oldstable)
      - Preserve bzip2 tarballs with source format '3.0 (quilt)'.
    + copyright-check.mk:
      - Adjust to closer match new proposed copyright format
      - Ignore no files by default
      - More aggressive scanning (check top 99999 lines, not just 60)
      - Simplify more licensing notices and preserve non-ASCII chars
      - Group hints by sorted owner list (ignoring years)
      - Limit console output both horisontally and vertically
      - Use rev123 of draft DEP5 for hints file
    + Add and use new local package-relations.mk to resolve, cleanup and
      apply CDBS-declared (build-)dependencies.
  * Add git-buildpackage config, enabling pristine-tar and signed tags.
  * Rewrite copyright file using draft DEP5 rev. 135 format.
  * Fix tighten build-dependency on debhelper to at least 6.
  * Relax build-dependency on cdbs to be unversioned.
  * Use source format '3.0 "quilt"'. Stop including patchsys-quilt.mk.
    Stop build-depending on quilt or patchutils.
  * Bump Standards-Version to 3.8.4.
  * Have all packages depend on ${misc:Depends}, thanks to lintian.
  * Add proper license header to debian/rules.
  * Put aside stray upstream-shipped automade files during build.
  * Add patch 1007 updating Doxyfile, as requested by doxygen.
  * Refresh patches and add DEP3 proposed headers.
  * Fix comment out non-existing *.so from debhelper install file.
  * Rename libsrtp1-dev → libsrtp0-dev: Old number was wrongly resolved
    from major version. Have new package conflict/replace old one.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 28 Feb 2010 03:08:52 +0100

srtp (1.4.4~dfsg-3) unstable; urgency=low

  * Update cdbs tweaks:
    + Strip any non-printable characters in copyright-check.mk.
    + Relax copyright-check.mk to only warn about its discoveries.
      Closes: bug#487070, thanks to Lucas Nussbaum.
    + Correct abbreviation of BSD licenses in copyright-check.mk.
    + Update dependency cleanup to strip cdbs 0.4.27 (not 0.4.27-1).
  * Update debian/copyright-hints.
  * Bump debhelper compatibility level to 6 (was 4).
  * Semi-auto-update debian/control due to above changes:
    DEB_AUTO_UPDATE_DEBIAN_CONTROL=yes fakeroot debian/rules clean

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 29 jun 2008 17:16:16 +0200

srtp (1.4.4~dfsg-2) unstable; urgency=low

  [ Jonas Smedegaard ]
  * Add patch 1003 to avoid the symbol "mips" clashing with builtin
    symbol on MIPS GCC compiler. Closes: bug#439976.
  * Add patch 1005 to fix tests by restricting to 32bit alignment.
    Closes: bug#470505, thanks to Martin Guy.
  * Add patch 1006 to fix unsigned chars in test driver. Closes:
    bug#470506, thanks to Martin Guy.
  * Packaging moved to collab-maint Git at Alioth. Update VCS-* hints.
  * Make sure docs is built only once.
  * Change libsrtp1-dev to section libdevel (from devel), thanks to
    lintian.
  * Update local cdbs snippets:
    + Major improvements to copyright-check, including new versioned
      build-dependency on devscripts.  Update debian/copyright_hints.
    + Various improvements to update-tarball.mk.
    + Drop buildcore.mk wrapper (set DEB_AUTO_UPDATE_DEBIAN_CONTROL
      manually when needed instead)
    + Update debian/README.cdbs-tweaks.
  * Semi-auto-update debian/control to apply changes contained in the above:
    DEB_AUTO_UPDATE_DEBIAN_CONTROL=yes fakeroot debian/rules clean

  [ Victor Seva ]
  * Add patch 1004 to add verbose to make runtest. Make FTBFS easier
    to debug. (Closes: #460534)

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 15 Apr 2008 17:48:39 +0200

srtp (1.4.4~dfsg-1) unstable; urgency=low

  * New upstream release.
    + Drop patch 0001 superceded by new release.

  [ Jonas Smedegaard ]
  * Move Homepage to own field (from pseudo-field in long description).
  * Move X-Vcs-* control fields to Vcs-*.
  * Rewrite debian/copyright:
    + Restructure to conform to proposed new format at
      http://wiki.debian.org/Proposals/CopyrightFormat
    + Drop unneeded triling disclaimers from verbatim licensing texts.

  [ Kilian Krause ]
  * Switch from .dfsg to ~dfsg to allow shipping even a 1.4.4.1 in case it
    might happen.
  * Update debian/watch to point directly to SF.NET download area.

  [ Jonas Smedegaard ]
  * Update debian/copyright:
    + Bump up Cisco copyright to include the year 2006
    + Fix cut'n'paste error in Ingate copyright
    + Fix syntactical error in packaging license hint
    + Advertise Debian-distributed GPL file (thanks to lintian)
    + Declare VOIP team as copyright holder in 2007


=== debian/control ===
Source: srtp
Priority: optional
Maintainer: Jonas Smedegaard <dr@jones.dk>
Build-Depends: autotools-dev,
 debhelper (>= 6),
 devscripts (>= 2.10.7~),
 dh-buildinfo,
 cdbs (>= 0.4.70~),
 doxygen,
 texlive-latex-recommended,
 texlive-fonts-recommended,
 procps,
 miscfiles,
 d-shlibs
Standards-Version: 3.8.4
Section: libs
Vcs-Git: git://git.debian.org/git/collab-maint/srtp.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/srtp.git;a=summary
Homepage: http://srtp.sourceforge.net/srtp.html

Package: libsrtp0-dev
Section: libdevel
Depends: ${devlibs:Depends}, ${misc:Depends}, libsrtp0 (= ${binary:Version})
Provides: libsrtp-dev
Conflicts: libsrtp-dev, libsrtp1-dev (<= 1.4.4)
Replaces: libsrtp1-dev (<= 1.4.4)
Architecture: any
Description: Secure RTP (SRTP) and UST Reference Implementations - development files
 SRTP is a security profile for RTP that adds confidentiality, message
 authentication, and replay protection to that protocol. It is specified
 in RFC 3711.
 .
 LibSRTP provides an implementation of the Secure Real-time Transport
 Protocol (SRTP), the Universal Security Transform (UST), and a
 supporting cryptographic kernel.
 .
 This package contains the development headers and static libraries.

Package: libsrtp0
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: srtp-utils
Architecture: any
Description: Secure RTP (SRTP) and UST Reference Implementations - shared library
 SRTP is a security profile for RTP that adds confidentiality, message
 authentication, and replay protection to that protocol. It is specified
 in RFC 3711.
 .
 LibSRTP provides an implementation of the Secure Real-time Transport
 Protocol (SRTP), the Universal Security Transform (UST), and a
 supporting cryptographic kernel.
 .
 This package contains the shared libraries.

Package: srtp-docs
Section: doc
Depends: ${misc:Depends}
Architecture: all
Description: Secure RTP (SRTP) and UST Reference Implementations - documentation
 SRTP is a security profile for RTP that adds confidentiality, message
 authentication, and replay protection to that protocol. It is specified
 in RFC 3711.
 .
 LibSRTP provides an implementation of the Secure Real-time Transport
 Protocol (SRTP), the Universal Security Transform (UST), and a
 supporting cryptographic kernel.
 .
 This package contains API documentation.

Package: srtp-utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Secure RTP (SRTP) and UST Reference Implementations - utilities
 SRTP is a security profile for RTP that adds confidentiality, message
 authentication, and replay protection to that protocol. It is specified
 in RFC 3711.
 .
 LibSRTP provides an implementation of the Secure Real-time Transport
 Protocol (SRTP), the Universal Security Transform (UST), and a
 supporting cryptographic kernel.
 .
 This package contains a few simple binaries using libsrtp.

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 2 file
version=2

# Uncomment to examine a Webpage 
# <Webpage URL> <string match>
opts=dversionmangle=s/\~dfsg$// \
	http://sf.net/srtp/srtp-(.*)\.tgz debian svn-upgrade
